postgresql-simple-0.7.0.1: Mid-Level PostgreSQL client library

Copyright | (c) 2013 Leon P Smith
License | BSD3
Maintainer | Leon P Smith <leon@melding-monads.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Database.PostgreSQL.Simple.HStore.Internal

Description

Synopsis

- data HStoreBuilder
  - = Empty
  - | Comma !Builder
- newtype HStoreText = HStoreText Builder
- parseHStore :: Parser (Either UnicodeException HStoreList)
- parseHStoreKeyVal :: Parser (Either UnicodeException (Text, Text))
- parseHStoreText :: Parser (Either UnicodeException Text)

# Documentation

data HStoreBuilder Source #

Represents valid hstore syntax.

Constructors

Empty |
Comma !Builder |

#### Instances

Instances details

Monoid HStoreBuilder Source # |
Instance details Defined in Database.PostgreSQL.Simple.HStore.Implementation Methods mempty :: HStoreBuilder Source # mappend :: HStoreBuilder -> HStoreBuilder -> HStoreBuilder Source # mconcat :: [HStoreBuilder] -> HStoreBuilder Source #
Semigroup HStoreBuilder Source # |
Instance details Defined in Database.PostgreSQL.Simple.HStore.Implementation Methods (<>) :: HStoreBuilder -> HStoreBuilder -> HStoreBuilder Source # sconcat :: NonEmpty HStoreBuilder -> HStoreBuilder Source # stimes :: Integral b => b -> HStoreBuilder -> HStoreBuilder Source #
ToHStore HStoreBuilder Source # |
Instance details Defined in Database.PostgreSQL.Simple.HStore.Implementation Methods toHStore :: HStoreBuilder -> HStoreBuilder Source #
ToField HStoreBuilder Source # |
Instance details Defined in Database.PostgreSQL.Simple.HStore.Implementation Methods toField :: HStoreBuilder -> Action Source #

newtype HStoreText Source #

Represents escape text, ready to be the key or value to a hstore value

Constructors

HStoreText Builder |

#### Instances

Instances details

Monoid HStoreText Source # |
Instance details Defined in Database.PostgreSQL.Simple.HStore.Implementation Methods mempty :: HStoreText Source # mappend :: HStoreText -> HStoreText -> HStoreText Source # mconcat :: [HStoreText] -> HStoreText Source #
Semigroup HStoreText Source # |
Instance details Defined in Database.PostgreSQL.Simple.HStore.Implementation Methods (<>) :: HStoreText -> HStoreText -> HStoreText Source # sconcat :: NonEmpty HStoreText -> HStoreText Source # stimes :: Integral b => b -> HStoreText -> HStoreText Source #
ToHStoreText HStoreText Source # |
Instance details Defined in Database.PostgreSQL.Simple.HStore.Implementation Methods toHStoreText :: HStoreText -> HStoreText Source #

parseHStore :: Parser (Either UnicodeException HStoreList) Source #

parseHStoreKeyVal :: Parser (Either UnicodeException (Text, Text)) Source #

parseHStoreText :: Parser (Either UnicodeException Text) Source #